%global commit fa58c460bbeca5d763bd9f0b3b7aad825419aea7
%global shorcommit %(c=%{commit}; echo ${c:0:7})

Name: ahkab
Version: 0.10
Release: 2%{?dist}
Summary: A SPICE-like electronic circuit simulator written in Python
Group: Applications/Engineering	
License: GPLv2
URL: http://ahkab.github.io/ahkab/
Source0: https://github.com/ahkab/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildArch: noarch
BuildRequires: python2-devel python-setuptools
Requires: sympy python-matplotlib numpy 
Requires: python >= 2.6

%description
A SPICE-like electronic circuit simulator written in Python.
It can be used to do AC analysis, DC sweep, Transient analysis and more.

%prep
%setup -q -n %{name}-%{commit}
rm -rf ahkab.egg-info
find -name '*.py'  | xargs sed -i -e '/^#!\//, 1d'

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc README.md COPYING NEWS.md
%{python2_sitelib}/ahkab/
%{python_sitelib}/ahkab-%{version}-py%{python2_version}.egg-info
%{_bindir}/ahkab

%changelog
* Wed Oct 22 2014 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.10-2
- Clean lines on spec file. 

* Sat Oct 18 2014 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.10-1
- Update release version and new source.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 18 2014 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.09-3
- Change directory files to ahkab. 
- Change spec file permission. 
- Package egg info.
- Remove shebang from python files.


* Thu Apr 17 2014 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.09-2
- Remove defattr macro. Add setuptools as BR. Remove BRoot line.

* Thu Apr 17 2014 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.09-1
- Initial package

